Create Token

Create a kya, pay, or kya-pay token as a buyer agent.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Choose a Seller Type

Tokens can be created for either an onboarded seller or an external seller.

Onboarded Seller (sellerServiceId)

Use this when the seller is onboarded to Skyfire and has a Seller Service listed in the Skyfire Directory.

  • Provide sellerServiceId
  • Uses your standard Skyfire Buyer Agent API key
  • Supports kya, pay, and kya-pay tokens
  • Default token expiration: 24 hours (or configured by the seller)

External Seller (sellerDomainOrUrl)

Use this when accessing a website, webpage, or API that is not onboarded to Skyfire.

  • Provide sellerDomainOrUrl
  • Available only to buyer agents that belong to a Skyfire Enterprise Organization
  • Supports only kya tokens
  • Default token expiration: 5 minutes

Currently, external seller token creation is available only to enterprise organizations. Standard Skyfire Buyer Agents cannot create tokens for external sellers.

Body Params
string
required

One of kya, pay, or kya-pay. The created token will contain JWT header typ set to <type>+jwt.

string

Buyer’s internal identifier for the token. e.g. "research-agent-xyz"

string

The amount of funds in currency units allocated to the token. Determines the maximum amount the seller can charge. Must include if this is a payor kya-pay token. For successful token creation, this value must be:

  • Greater than 0
  • Less than or equal to the buyer agent wallet balance
  • Greater than or equal to the seller service minimum token amount (if applicable)

If these conditions are not met, the token creation request will fail.

string

ID of an onboarded seller service. Obtain this from the Skyfire Directory. Required when creating a token for an onboarded seller.

string

Domain name or full URL of an external seller. The buyer agent must belong to an organization and authenticate using an Organization Buyer API Key. Required when creating a token for an external seller.

int64

Unix timestamp (seconds) representing when the token expires. Provide an absolute epoch time, not a relative duration. If omitted, defaults to the maximum allowed lifetimes:

  • 24 hours from now when using sellerServiceId
  • 5 minutes from now when using sellerDomainOrUrl

Must be between 10s and the maximum allowed lifetime for the selected target type.

identityPermissions
array of strings

Default: empty array. Can be specified if this is a kya or kya-pay token. Additional identity fields to include in the token. See https://docs.skyfire.xyz/reference/identity-fields for more info.

identityPermissions
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json